Bug 603689 - save restore fails from command line
save restore fails from command line
Status: NOTIFIED FIXED
Product: Ghostscript
Classification: Unclassified
Component: PS Interpreter
master
All All
: P1 normal
Assigned To: Ralph Giles
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-02 13:39 PDT by Alex Cherepanov
Modified: 2008-12-19 08:31 PST (History)
0 users

See Also:
Customer:
Word Size: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Cherepanov 2002-09-02 13:39:08 PDT
Originally reported by: alexcher@users.sourceforge.net
save and restore fail when typed from command line.
This problem exists in all versions back to v. 5.50

D:\>gswin32c
AFPL Ghostscript CVS PRE-RELEASE 7.23 (2002-08-06)
Copyright (C) 2002 artofcode LLC, Benicia, CA.  All
rights reserved.
This software comes with NO WARRANTY: see the file
PUBLIC for details.
GS>save
GS<1>restore
Error: /invalidrestore in --restore--
Operand stack:
   --nostringval--   --nostringval--
Execution stack:
   %interp_exit   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push 
 --nostringval--
  --nostringval--   %loop_continue   3   3  
%oparray_pop   --nostringval--   --nostringval--  
false   1   %stopped_pus
h   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval-- 
 1   3   %opa
rray_pop   --nostringval--   1   3   %oparray_pop  
--nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1034/1123(ro)(G)--   --dict:0/20(G)--  
--dict:67/200(L)--
Current allocation mode is local
Last OS error: No such file or directory
Current file position is 8
GS<1>
Comment 1 Russell Lang 2002-09-03 22:25:24 PDT
Comment originally by ghostgum@users.sourceforge.net
Logged In: YES 
user_id=20387

This is only a problem if they are typed on separate lines.
Comment 2 Ray Johnston 2002-09-04 10:05:30 PDT
Comment originally by rayjj@users.sourceforge.net
Logged In: YES 
user_id=11206

This is a long standing problem, and has been
a low priority.

The problem is that the string that is used
for command line input by the 'executive'
processing still exists when the 'restore'
happens, but this string is brought into
existence after the 'save' operation, thus
an invalidrestore.
Comment 3 Jack Moffitt 2002-10-24 10:58:03 PDT
Comment originally by jackiem@users.sourceforge.net
Logged In: YES 
user_id=206537

We need to move this to Issues.htm.
Comment 4 Henry Stiles 2008-10-27 08:31:44 PDT
This bug was modified accidentally removing the customer field.  I'll fix it as
soon as I figure out how to recover the old customer number...
Comment 5 Alex Cherepanov 2008-10-27 20:46:32 PDT
This bug was fixed by the Ray's commit for rev. 6886 and works in released
versions since v. 8.56.